Package com.mckoi.database

## Interface FunctionLookup

All Known Implementing Classes:
  `FunctionFactory`

    public interface FunctionLookup

An interface that resolves and generates a Function objects given a FunctionDef object.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`Function` `generateFunction​(FunctionDef function_def)` Generate the Function given a FunctionDef object.
`boolean` `isAggregate​(FunctionDef function_def)` Returns true if the function defined by FunctionDef is an aggregate function, or false otherwise.

### Method Detail

#### generateFunction

    Function generateFunction​(FunctionDef function_def)

Generate the Function given a FunctionDef object. Returns null if the FunctionDef can not be resolved to a valid function object. If the specification of the function is invalid for some reason (the number or type of the parameters is incorrect) then a StatementException is thrown.

#### isAggregate

    boolean isAggregate​(FunctionDef function_def)

Returns true if the function defined by FunctionDef is an aggregate function, or false otherwise.